Module java.base
Package java.lang.module

# Enum Class ModuleDescriptor.Exports.Modifier

java.lang.Object
java.lang.Enum<ModuleDescriptor.Exports.Modifier>
java.lang.module.ModuleDescriptor.Exports.Modifier

All Implemented Interfaces:
  `Serializable`, `Comparable<ModuleDescriptor.Exports.Modifier>`, `Constable`

Enclosing class:
  `ModuleDescriptor.Exports`

public static enum ModuleDescriptor.Exports.Modifier extends Enum<ModuleDescriptor.Exports.Modifier>
A modifier on an exported package.

Since:
  9
See Also:
  - `ModuleDescriptor.Exports.modifiers()`

- ## Nested Class Summary

  ## Nested classes/interfaces declared in class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `MANDATED`
  The export was implicitly declared in the source of the module declaration.
  `SYNTHETIC`
  The export was not explicitly or implicitly declared in the source of the module declaration.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ModuleDescriptor.Exports.Modifier`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static ModuleDescriptor.Exports.Modifier[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods declared in class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods declared in class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### SYNTHETIC

    public static final ModuleDescriptor.Exports.Modifier SYNTHETIC
    The export was not explicitly or implicitly declared in the source of the module declaration.

  - ### MANDATED

    public static final ModuleDescriptor.Exports.Modifier MANDATED
    The export was implicitly declared in the source of the module declaration.

- ## Method Details

  - ### values

    public static ModuleDescriptor.Exports.Modifier[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static ModuleDescriptor.Exports.Modifier valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null